using System;
using TMPro;
using Unity.VisualScripting;
using UnityEngine;

public class JeremyState : MonoBehaviour
{
    [SerializeField]
    private int _state = 0;
    
    private void Awake()
    {
    }

    public void SetState(int newState)
    {
        _state = newState;
        
        // TODO: change
        GetComponentInChildren<TextMeshPro>().text = $"{_state}";
    }
}
